#include "config.h"
#include <string.h>
#include <stdio.h>

/* $Id: amp0.c,v 1.17 2017/12/31 02:28:32 protius Exp $
**
** Tommy's Lumonics controller.                   
** Copyright (C) 2011 Tommy Johnson
**
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or (at
** your option) any later version.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
*/

#include "adc.h"
#include "amp0.h"
#include "panel.h"
#include "cli.h"

#define SDA_INIT	P4OUT&=~BV(3)
#define SDA_CLEAR	P4DIR&=~BV(3)
#define SDA_SET		P4DIR|=BV(3)
#define SDA_READ	(P4IN&BV(3))

#define SCL_INIT	P4OUT&=~BV(2)
#define SCL_CLEAR	P4DIR&=~BV(2)
#define SCL_SET		P4DIR|=BV(2)

#define DAC_ADDR	0x4E

/* The enable hardware is active low */
#define ENABLE_GET	(!(P1OUT&BV(2)))
#define ENABLE_CLEAR	P1OUT|=BV(2)
#define ENABLE_SET	P1OUT&=~BV(2)

#define READY_GET	(P1IN&BV(3))
#define VOLTAGE_ADC	4

#define POWER_GET	(P3IN&BV(0))

/* capacitance in uf, for calculating energy
*/
#define LAMPCAP     500

#define DEVICE(x)	amp0##x

// curvefit values for converting volts to DAC units
#define VOLTSLOPE	(0.186383929)
#define VOLTOFFSET	(521.523810)

/* failsafe max for the DAC
*/
// #define MAXDAC          0x3200
#define MAXDAC          0x3f00	// about 3500V, OV card tripped at 3400

#include "i2c.c"
#include "energycontrol.c"
